ptm_mgau.h File Reference
`#include <sphinxbase/fe.h>`
`#include <sphinxbase/logmath.h>`
`#include <sphinxbase/mmio.h>`
`#include "acmod.h"`
`#include "hmm.h"`
`#include "bin_mdef.h"`
`#include "ms_gauden.h"`

Go to the source code of this file.

## Data Structures

struct | ptm_topn_s
struct | ptm_fast_eval_s
struct | ptm_mgau_s

## Typedefs

typedef struct ptm_mgau_s | ptm_mgau_t
typedef struct ptm_topn_s | ptm_topn_t
typedef struct ptm_fast_eval_s | ptm_fast_eval_t

## Functions

ps_mgau_t * | ptm_mgau_init (acmod_t *acmod, bin_mdef_t *mdef)
void | ptm_mgau_free (ps_mgau_t *s)
int | ptm_mgau_frame_eval (ps_mgau_t *s, int16 *senone_scores, uint8 *senone_active, int32 n_senone_active, mfcc_t **featbuf, int32 frame, int32 compallsen)
| Compute senone scores for the active senones.
int | ptm_mgau_mllr_transform (ps_mgau_t *s, ps_mllr_t *mllr)

## Detailed Description

Fast phonetically-tied mixture evaluation.

Author
  David Huggins-Daines dhugg.nosp@m.ins@.nosp@m.cs.cm.nosp@m.u.ed.nosp@m.u

Definition in file ptm_mgau.h.